Bug 492773 - Review Request: camcardsync - tool for copying photos from a camera card
Review Request: camcardsync - tool for copying photos from a camera card
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 09:07 EDT by Zarko (grof)
Modified: 2009-05-09 00:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.1.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 09:46:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Patch to compile with g++44 (789 bytes, patch)
2009-04-18 14:04 EDT, Mamoru TASAKA
no flags Details | Diff

  None (edit)
Description Zarko (grof) 2009-03-29 09:07:24 EDT
Spec URL: http://wiki.open.hr/~zpintar/fedora10/SPECS/camcardsync.spec
SRPM URL: http://wiki.open.hr/~zpintar/fedora10/SRPMS/camcardsync-0.1.1-1.fc10.src.rpm
Description:
CamCardSync is a tool for copying photos from a camera card
Features:
* My camera has a 2GB card and thus will frequently contain 
  photographs spanning several weeks, or even months.
* Keeping track of which photos have been copied onto the computer
  and which haven't isn't easy!
* For speed and efficiency, I don't want to have to view the 
  images, even in thumbnail form, to figure out which ones need 
  copying.
* I would like my photos copied into a folder grouped neatly 
  and conveniently by date.
* From there I will go through them, editing and printing some, 
  deleting others.
* Having deleted images I don't want them to be copied again 
  the next time I sync the camera card!

This package is one of my first packages, so I continue need a sponsor...

regards,
Zarko
Comment 1 Zarko (grof) 2009-04-08 02:11:22 EDT
bump
Comment 2 Mamoru TASAKA 2009-04-15 14:10:57 EDT
(Removing NEEDSPONSOR)
Comment 3 Mamoru TASAKA 2009-04-18 14:04:54 EDT
Created attachment 340167 [details]
Patch to compile with g++44

Some notes:

* Summary
  - Including the name of the package into Summary

* License
  - For this package the license tag should be GPLv2+.

* BR
  - "BuildRequires: glib2-devel" is redundant because
    gtk2-devel requires glib2-devel

  - build.log says:
---------------------------------------------------------
   225  checking for HAL... no
---------------------------------------------------------
    It seems this can be enabled by "BR: hal-devel".

* %description
  - I don't think including sentences like
---------------------------------------------------------
* My camera has a 2GB card and thus will frequently contain 
  photographs spanning several weeks, or even months.
---------------------------------------------------------
    or so is proper, because these sentences look
    like personal comments or so.

* Build failure
  - This package does not build on dist-f11-updates-candidate
    (with g++44). The attached patch is needed.

* scriplets
  - Please update GTK icon cache related scripts:
    https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache
Comment 4 Zarko (grof) 2009-04-18 16:44:23 EDT
OK, thanks on review...

I'm now a little slow in my process to applying suggestion.
But I will very soon.

regards, Zarko
Comment 6 Mamoru TASAKA 2009-04-22 14:15:05 EDT
Well,
- I still think that including "I" in %description is not good,
  like
--------------------------------------------------------------
* For speed and efficiency, "I" don't want to have to view the 
  images, even in thumbnail form, to figure out which ones need 
  copying.
--------------------------------------------------------------
  If you want to include this sentence in %descript, at least
  "I" should be changed to "you".

Once %description is cleaned up, I would approve this package.
Comment 7 Zarko (grof) 2009-04-22 16:19:00 EDT
OK, I changed description text, and I hope that it will be good, now.

SPEC:
http://wiki.open.hr/~zpintar/fedora-11/SPECS/camcardsync.spec

SRPM:
http://wiki.open.hr/~zpintar/fedora-11/SRPMS/camcardsync-0.1.1-2.fc10.src.rpm
Comment 8 Mamoru TASAKA 2009-04-23 12:54:58 EDT
Okay.

-----------------------------------------------------------
  This package (camcardsync) is APPROVED by mtasaka
-----------------------------------------------------------
Comment 9 Zarko (grof) 2009-04-23 15:57:07 EDT
New Package CVS Request
=======================
Package Name: camcardsync
Short Description: tool for copying photos from a camera card 
Owners: grof
Branches: F-9 F-10 F-11
InitialCC: grof
Comment 10 Kevin Fenzi 2009-04-27 01:23:32 EDT
cvs done.
Comment 11 Fedora Update System 2009-04-27 09:41:51 EDT
camcardsync-0.1.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/camcardsync-0.1.1-2.fc9
Comment 12 Fedora Update System 2009-04-27 09:41:58 EDT
camcardsync-0.1.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/camcardsync-0.1.1-2.fc10
Comment 13 Fedora Update System 2009-04-27 09:42:04 EDT
camcardsync-0.1.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/camcardsync-0.1.1-2.fc11
Comment 14 Fedora Update System 2009-04-27 17:22:19 EDT
camcardsync-0.1.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-04-27 17:24:48 EDT
camcardsync-0.1.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-05-09 00:23:23 EDT
camcardsync-0.1.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.